<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxStencilShape (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxStencilShape (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStencilShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.shape</a></div>
<h2 title="Class mxStencilShape" class="title">Class mxStencilShape</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">hk.quantr.mxgraph.shape.mxBasicShape</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.shape.mxStencilShape</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxStencilShape</span>
extends <a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></pre>
<div class="block">Stencil shape drawing that takes an XML definition of the shape and renders
 it.
 
 See http://projects.gnome.org/dia/custom-shapes for specs. See
 http://dia-installer.de/shapes_de.html for shapes.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.geom.Rectangle2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#boundingBox">boundingBox</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.geom.AffineTransform</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cachedTransform">cachedTransform</a></span></code></th>
<td class="colLast">
<div class="block">Transform cached to save instance created.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iconPath">iconPath</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#name">name</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#root">root</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the root node of the Dia shape description.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rootShape">rootShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.geom.GeneralPath</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#shapePath">shapePath</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxStencilShape</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">mxStencilShape</a></span>&#8203;(java.lang.String&nbsp;shapeXml)</code></th>
<td class="colLast">
<div class="block">Constructs a new stencil for the given Dia shape description.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.w3c.dom.Document)">mxStencilShape</a></span>&#8203;(org.w3c.dom.Document&nbsp;document)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createElement(org.w3c.dom.Node)">createElement</a></span>&#8203;(org.w3c.dom.Node&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Forms an internal representation of the specified SVG element and returns
 that representation</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createShape(org.w3c.dom.Node,hk.quantr.mxgraph.shape.mxStencilShape.svgShape)">createShape</a></span>&#8203;(org.w3c.dom.Node&nbsp;root,
           <a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;shape)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoundingBox()">getBoundingBox</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIconPath()">getIconPath</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName()">getName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected static java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStylenames(java.lang.String)">getStylenames</a></span>&#8203;(java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Returns the stylenames in a style of the form stylename[;key=value] or an
 empty array if the given style does not contain any stylenames.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintNode(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.shape.mxStencilShape.svgShape,double,double)">paintNode</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
         <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         <a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;shape,
         double&nbsp;widthRatio,
         double&nbsp;heightRatio)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBoundingBox(java.awt.geom.Rectangle2D)">setBoundingBox</a></span>&#8203;(java.awt.geom.Rectangle2D&nbsp;boundingBox)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIconPath(java.lang.String)">setIconPath</a></span>&#8203;(java.lang.String&nbsp;iconPath)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setName(java.lang.String)">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transformShape(java.awt.Shape,double,double,double,double)">transformShape</a></span>&#8203;(java.awt.Shape&nbsp;shape,
              double&nbsp;transX,
              double&nbsp;transY,
              double&nbsp;widthRatio,
              double&nbsp;heightRatio)</code></th>
<td class="colLast">
<div class="block">Scales the points composing this shape by the x and y ratios specified</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.shape.mxBasicShape">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.shape.<a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></h3>
<code><a href="mxBasicShape.html#configureGraphics(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,boolean)">configureGraphics</a>, <a href="mxBasicShape.html#createShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">createShape</a>, <a href="mxBasicShape.html#getFillColor(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getFillColor</a>, <a href="mxBasicShape.html#getGradientBounds(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getGradientBounds</a>, <a href="mxBasicShape.html#getStrokeColor(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">getStrokeColor</a>, <a href="mxBasicShape.html#hasGradient(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">hasGradient</a>, <a href="mxBasicShape.html#hasShadow(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">hasShadow</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="shapePath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shapePath</h4>
<pre>protected&nbsp;java.awt.geom.GeneralPath shapePath</pre>
</li>
</ul>
<a id="root">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>root</h4>
<pre>protected&nbsp;org.w3c.dom.Node root</pre>
<div class="block">Reference to the root node of the Dia shape description.</div>
</li>
</ul>
<a id="rootShape">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rootShape</h4>
<pre>protected&nbsp;<a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a> rootShape</pre>
</li>
</ul>
<a id="boundingBox">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boundingBox</h4>
<pre>protected&nbsp;java.awt.geom.Rectangle2D boundingBox</pre>
</li>
</ul>
<a id="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>protected&nbsp;java.lang.String name</pre>
</li>
</ul>
<a id="iconPath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iconPath</h4>
<pre>protected&nbsp;java.lang.String iconPath</pre>
</li>
</ul>
<a id="cachedTransform">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cachedTransform</h4>
<pre>protected&nbsp;java.awt.geom.AffineTransform cachedTransform</pre>
<div class="block">Transform cached to save instance created. Used to scale the internal
 path of shapes where possible</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxStencilShape</h4>
<pre>public&nbsp;mxStencilShape()</pre>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxStencilShape</h4>
<pre>public&nbsp;mxStencilShape&#8203;(java.lang.String&nbsp;shapeXml)</pre>
<div class="block">Constructs a new stencil for the given Dia shape description.</div>
</li>
</ul>
<a id="&lt;init&gt;(org.w3c.dom.Document)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxStencilShape</h4>
<pre>public&nbsp;mxStencilShape&#8203;(org.w3c.dom.Document&nbsp;document)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintShape&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                       <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxIShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></code>&nbsp;in interface&nbsp;<code><a href="mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxBasicShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintShape</a></code>&nbsp;in class&nbsp;<code><a href="mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></code></dd>
</dl>
</li>
</ul>
<a id="paintNode(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.shape.mxStencilShape.svgShape,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintNode</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintNode&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                      <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                      <a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;shape,
                      double&nbsp;widthRatio,
                      double&nbsp;heightRatio)</pre>
</li>
</ul>
<a id="transformShape(java.awt.Shape,double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transformShape</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;transformShape&#8203;(java.awt.Shape&nbsp;shape,
                              double&nbsp;transX,
                              double&nbsp;transY,
                              double&nbsp;widthRatio,
                              double&nbsp;heightRatio)</pre>
<div class="block">Scales the points composing this shape by the x and y ratios specified</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shape</code> - the shape to scale</dd>
<dd><code>transX</code> - the x translation</dd>
<dd><code>transY</code> - the y translation</dd>
<dd><code>widthRatio</code> - the x co-ordinate scale</dd>
<dd><code>heightRatio</code> - the y co-ordinate scale</dd>
</dl>
</li>
</ul>
<a id="createShape(org.w3c.dom.Node,hk.quantr.mxgraph.shape.mxStencilShape.svgShape)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createShape&#8203;(org.w3c.dom.Node&nbsp;root,
                        <a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;shape)</pre>
</li>
</ul>
<a id="createElement(org.w3c.dom.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createElement</h4>
<pre class="methodSignature">public&nbsp;<a href="mxStencilShape.svgShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape.svgShape</a>&nbsp;createElement&#8203;(org.w3c.dom.Node&nbsp;root)</pre>
<div class="block">Forms an internal representation of the specified SVG element and returns
 that representation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the SVG element to represent</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the internal representation of the element, or null if an error
         occurs</dd>
</dl>
</li>
</ul>
<a id="getStylenames(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStylenames</h4>
<pre class="methodSignature">protected static&nbsp;java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;getStylenames&#8203;(java.lang.String&nbsp;style)</pre>
<div class="block">Returns the stylenames in a style of the form stylename[;key=value] or an
 empty array if the given style does not contain any stylenames.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - String of the form stylename[;stylename][;key=value].</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the stylename from the given formatted string.</dd>
</dl>
</li>
</ul>
<a id="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getName()</pre>
</li>
</ul>
<a id="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a id="getIconPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIconPath</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getIconPath()</pre>
</li>
</ul>
<a id="setIconPath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIconPath</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIconPath&#8203;(java.lang.String&nbsp;iconPath)</pre>
</li>
</ul>
<a id="getBoundingBox()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre class="methodSignature">public&nbsp;java.awt.geom.Rectangle2D&nbsp;getBoundingBox()</pre>
</li>
</ul>
<a id="setBoundingBox(java.awt.geom.Rectangle2D)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBoundingBox</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBoundingBox&#8203;(java.awt.geom.Rectangle2D&nbsp;boundingBox)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxStencilShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
